pydo.kubernetes.get_status_messages()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.kubernetes.get_status_messages(
cluster_id="bd5f5959-5e1e-4205-a714-a914373942af",
since=None,
)Description
To retrieve status messages for a Kubernetes cluster, send a GET request to
/v2/kubernetes/clusters/{cluster_id}/status_messages. Status messages inform users of any issues that come up during the cluster lifecycle.
Parameters
cluster_idstring requiredA unique ID that can be used to reference a Kubernetes cluster.
sincestring optionalA timestamp used to return status messages emitted since the specified time. The timestamp should be in ISO8601 format.
Response Example
More Information
See /v2/kubernetes/clusters/{cluster_id}/status_messages in the API reference for additional detail on responses, headers, parameters, and more.